%define name		joram
%define version		4.1.5
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	JORAM: Java (TM) Open Reliable Asynchronous Messaging
Url:		http://joram.objectweb.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	joram-%{version}-src.tgz
Patch0:		joram-monolog-Debug.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:	j2ee-connector >= 0:1.5
BuildRequires:	jaf
BuildRequires:	java >= 0:1.4
BuildRequires:	java_cup
BuildRequires:	javamail
BuildRequires:	jms
BuildRequires:	jmx
BuildRequires:	jta
BuildRequires:	oldkxml
BuildRequires:	monolog >= 0:1.8
BuildRequires:	regexp
BuildRequires:	soap
BuildRequires:	xerces-j2
Requires:	j2ee-connector >= 0:1.5
Requires:	jaf
Requires:	java >= 0:1.4
Requires:	java_cup
Requires:	javamail
Requires:	jms
Requires:	jmxri
Requires:	jta
Requires:	oldkxml
Requires:	monolog >= 0:1.8
Requires:	regexp
Requires:	soap
Requires:	xerces-j2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JORAM incorporates a 100% pure Java implementation of JMS
(Java Message Service API released by Sun Microsystem, Inc.). 
It provides access to a MOM (Message Oriented Middleware), 
built on top of the ScalAgent agents based distributed 
platform.


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
chmod -R go=u-w *
#find . -name "*.jar" -exec rm -f {} \;
pushd lib
for f in *.jar; do mv $f $f.not; done
popd

%patch0 -b .sav

%build
pushd lib
ln -sf $(build-classpath j2ee-connector) .
ln -sf $(build-classpath jaf) .
ln -sf $(build-classpath java_cup) .
ln -sf $(build-classpath java_cup-runtime) .
ln -sf $(build-classpath javamail/mailapi) .
ln -sf $(build-classpath jms) .
ln -sf $(build-classpath jmxri) .
ln -sf $(build-classpath jmxtools) .
ln -sf $(build-classpath jndi) .
ln -sf $(build-classpath jta) .
ln -sf $(build-classpath oldkxml) .
ln -sf $(build-classpath monolog/ow_monolog) .
ln -sf $(build-classpath regexp) .
ln -sf $(build-classpath soap) .
ln -sf $(build-classpath xerces-j2) .
popd

ant -f src/joram.xml build.joram javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 build/%{name}-shared.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/shared-%{version}.jar
install -m 644 build/%{name}-mom.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/mom-%{version}.jar
install -m 644 build/%{name}-client.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/client-%{version}.jar
install -m 644 build/%{name}-connector.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/connector-%{version}.jar
install -m 644 build/%{name}-gui.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/gui-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc licenses/LGPL_HEADER.TXT
%{_javadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Feb 28 2005 Fernando Nasser <fnasser@redhat.com> 0:4.1.5-1jpp
- Upgrade to 4.1.5

* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> 0:4.1.0-1jpp
- First release

